<?php
$usuario = $_COOKIE["usuario"];
$nivel = $_COOKIE["nivel"];
if($nivel=="administrador"){$cobrador=$_GET["usuario"];
    
}else{
    $cobrador=$usuario;
}
?>
<style>
    th,td{
        text-align: left;
    }
    *{
        font-family: Arial;
        font-size: 12px;
        font-wight:light;

    }
table,td,th{
    border:gray 1px solid;
    border-collapse: collapse;
    font-size: 12px;
}

th{
    background: green;
    color:white;
}
</style>


<br>

<?php
include_once("../php/config.php");

    $sql_empresa = mysql_query("SELECT * FROM empresa") or die(mysql_error());
$enombre= @mysql_result($sql_empresa,0,"nombre");
$etelefono= @mysql_result($sql_empresa,0,"telefono");   
$edireccion= @mysql_result($sql_empresa,0,"direccion"); 
$ernc= @mysql_result($sql_empresa,0,"rnc"); 
$eemail= @mysql_result($sql_empresa,0,"email"); 
    
?>
<span class="datos_empres2" style="font-size: 30px;font-weight: bolder;font-family: 'Arial black'"><?php echo $enombre;?></span><b><br>
<span class="datos_empres"><?php echo $etelefono;?> </span><br>
<span class="datos_empres"><?php echo $edireccion;?> </span><br>
<span class="datos_empres"><?php echo $ernc;?></span><br>

<h3 style="font-size: 25px;">Reporte de compra por productos</h3>
Fecha: desde <?php echo  $_GET["fecha1"]?> hasta  <?php echo  $_GET["fecha2"]?>
<?php
include_once("../php/config.php");
include_once("../php/formatos.php");
$producto = $_GET["productos"];
$usuario = $_GET["usuario"];
$proveedor = $_GET["proveedor"];
$termino = $_GET["termino"];
$fecha1 = $_GET["fecha1"];
$fecha2 = $_GET["fecha2"];
$estado = $_GET["estado"];

$sql = mysql_query("select * from detalle_compra
where fecha between '$fecha1' and '$fecha2'
and descripcion like '%".$productos."%'
and proveedor like '%".$proveedor."%' order by descripcion asc") or die(mysql_error());

echo "<table><th>Codigo</th>
</th><th>Descripcion</th>
<th>Proveedor</th>
<th>Unidad</th>
<th>Costo</th>
<th>Precio base</th>
<th>Precio 30%</th>
<th>Precio 40%</th>;
<th>Precio 50%</th>

<th>Variedad</th>
";
while($r = mysql_fetch_array($sql)){
    $c++;
    $total+=$r["total_costo"];
    echo "<tr>";
    echo "<td>".$r["codigo"]."</td>";
	//echo "<td>".$r["ncf"]."</td>";
    echo "<td>".$r["descripcion"]."</td>";
    //echo "<td>".$r["cuota"]."</td>";
    //echo "<td>".$r["cliente"]."</td>";
    echo "<td>".$r["proveedor"]."</td>";
    echo "<td>".$r["unidad"]."</td>";
    echo "<td>".decimal($r["costo"])."</td>";
    echo "<td>".decimal($r["precio"])."</td>";
	
    echo "<td>".decimal(precio($r["costo"], 30))."</td>";
	echo "<td>".decimal(precio($r["costo"], 40))."</td>";
	echo "<td>".decimal(precio($r["costo"], 50))."</td>";
	echo "<td>".$r["variedad"]."</td>";
	
   
    
    echo "</tr>";
}
 echo "</table>";
 echo "</br>";
 
 
 echo "<b>Items: </b><font color='blue'> ".$c."</font><br>";
  echo "<b>TOTAL: </b><font color='blue'> ".decimal($total)."</font>";
function precio($costo,$per){
 $p = $costo * $per / 100;
 $v = $costo + $p;
 return $v;
}
	  
?>
